Bug 56637 - Please add existing user nicolasd (Nicolas Dufresne) to group gstreamer
Summary: Please add existing user nicolasd (Nicolas Dufresne) to group gstreamer
Status: RESOLVED FIXED
Alias: None
Product: freedesktop.org
Classification: Unclassified
Component: Account Modification Requests (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: fd.o Admin Massive
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-01 15:25 UTC by Nicolas Dufresne
Modified: 2013-05-22 17:04 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Description Nicolas Dufresne 2012-11-01 15:25:09 UTC
I've been working for more then a year on GStreamer and I'd like to request commit access. Since July 2011 I have:

* Done many bug fix (including in flvdemux, decodebin2, basesink, subparse, ffdec, tsdemux, asfdemux, viddec)
* I have introduced VideoContext and Surface API for HW accelerated decoding
* Have fixed query passing in GhostPad (bug 658517)
* Ported x264enc to GstBaseEncoder
* Optimized mpegvideoparse (bug 672701)
* Fixed videomixer caps negotiation in Gst 1.0
* Ported Frei0r to Gst 1.0
* I have also became of contributor to PiTiVi project.

And more coming. More details can be found on in my ohloh.net profile.
https://www.ohloh.net/p/gstreamer/contributors/14925011478913

Freedesktop username: nicolasd

Thanks for considering this request,
Nicolas
Comment 1 Tim Müller 2012-11-15 11:47:33 UTC
Hey Nicolas,

you've contributed quite a few patches to GStreamer, including a fair amount of non-trivial and cool stuff, so I think you definitely have the technical background to become a committer. You also hang out on IRC and answer questions on the mailing lists, which is great too.

There's still a feeling though that your patches would still benefit from review prior to committing, and that your activity in GStreamer is a bit sporadic. We usually require regular sustained activity from committers in spe over some longer period of time. (And related to the current development branch.)

So I'd say let's revisit this again in a few months time, maybe in January or so?
Comment 2 Tim Müller 2013-05-10 13:47:13 UTC
Ok.

Sitewranglers, could you add user nicolasd to group gstreamer please?

Thanks!
Comment 3 Nicolas Dufresne 2013-05-17 20:23:24 UTC
Hi, any updates ?
Comment 4 Adam Jackson 2013-05-22 17:04:00 UTC
Done


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.